<?php

if (file_exists(BASEDIR."content_creator/locale/".$settings['locale'].".php")) {
	include BASEDIR."content_creator/locale/".$settings['locale'].".php";
} else {
	include BASEDIR."content_creator/locale/English.php";
}

add_to_head("<script type='text/javascript'>
$(document).ready(function()
{
  $('.mvp_body').hide();
  $('.mvp_master_head').click(function()
  {
    $(this).next('.mvp_master_body').slideToggle(600);
  });
  $('.mvp_head').click(function()
  {
    $(this).next('.mvp_body').slideToggle(600);
  });
});
</script>");

// Generate Random Names
function randomname() {
	$chars = "abcdefghijklmnopqrstuvwxyz";
	$len = 8;
	$count = strlen($chars);
	$names = "";
	while($len--){
		$names .= substr($chars,mt_rand()%$count,1);
	}
	return $names;
}

// Generate IP
function make_ip(){
    $inum1 = rand(0,255);
    $inum2 = rand(0,255);
    $inum3 = rand(0,255);
    $inum4 = rand(0,255);
    $ip = $inum1.'.'.$inum2.'.'.$inum3.'.'.$inum4;
    return $ip;    
}


$urlprefix = "http://www.";
$tot_users = dbcount("(user_id)", DB_USERS, "user_id !='1'");
$tot_banned = dbcount("(user_id)", DB_USERS, "user_status !='0'");
$tot_user_groups = dbcount("(group_id)", DB_USER_GROUPS);
$tot_members = dbcount("(user_id)", DB_USERS, "user_status='0' && user_level='101'");
$tot_admins = dbcount("(user_id)", DB_USERS, "user_status='0' && user_level='102'");
$tot_superadmins = dbcount("(user_id)", DB_USERS, "user_status='0' && user_level='103' && user_id !='1'");
$num_cats = dbcount("(news_cat_id)", DB_NEWS_CATS);
$tot_news = dbcount("(news_id)", DB_NEWS, "news_draft='0'");
$tot_articles = dbcount("(article_id)", DB_ARTICLES);
$tot_article_cats = dbcount("(article_cat_id)", DB_ARTICLE_CATS);
$tot_cpages = dbcount("(page_id)", DB_CUSTOM_PAGES);
$tot_comments = dbcount("(comment_id)", DB_COMMENTS);
$tot_ratings = dbcount("(rating_id)", DB_RATINGS);
$tot_threads = dbcount("(thread_id)", DB_THREADS);
$tot_forums = dbcount("(forum_id)", DB_FORUMS);
$tot_downloads = dbcount("(download_id)", DB_DOWNLOADS);
$tot_faqs = dbcount("(faq_id)", DB_FAQS);
$tot_weblinks = dbcount("(weblink_id)", DB_WEBLINKS);
$tot_weblink_cats = dbcount("(weblink_cat_id)", DB_WEBLINK_CATS);
$tot_photos = dbcount("(photo_id)", DB_PHOTOS);
$tot_photo_albums = dbcount("(album_id)", DB_PHOTO_ALBUMS);
$tot_submissions = dbcount("(submit_id)", DB_SUBMISSIONS);
$tot_pms = dbcount("(message_id)", DB_MESSAGES);
$tot_polls = dbcount("(poll_id)", DB_POLLS);
$check4shoutbox = dbarray(dbquery("SELECT inf_id FROM ".DB_INFUSIONS." WHERE inf_folder='shoutbox_panel'"));
if (isset($check4shoutbox['inf_id'])) {
include INFUSIONS."shoutbox_panel/infusion_db.php";
$tot_shouts = dbcount("(shout_id)", DB_SHOUTBOX); $total_shouts = $tot_shouts; }
else { $tot_shouts = "<a href='".ADMIN."infusions.php".$aidlink."'>".$cclang['002']."</a>\n"; $total_shouts = '0'; }


$cont_calc = ($tot_news + $tot_articles + $tot_comments + $tot_ratings + $tot_threads + $tot_faqs + $tot_weblinks + $tot_photos + $tot_pms + $tot_polls + $total_shouts);
$query = "";$si = "";
?>
