<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2013 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| Author: Philip Daly (HobbyMan)
| Version: 1.8
| Web: http://www.hobbysites.net/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/header.php";
require BASEDIR."content_creator/include/functions.php";
$version = "v2.0";

add_to_title($locale['global_201'].$cclang['000']." ".$version);
if (!iSUPERADMIN && $userdata['user_id'] != '1') {
echo "<br /><br /><center>".$cclang['001']."</center>\n";
 } else {

if (file_exists(BASEDIR."content_creator/text.php")) {
	include BASEDIR."content_creator/text.php";
} else {
	die("Text File Missing!");
}

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "flood") {
		$message = ($settings['flood_interval'] == 15 ? $cclang['086'] : $cclang['085']);
	} elseif ($_GET['status'] == "users") {
		$message = $tot_users.$cclang['003'];
	} elseif ($_GET['status'] == "userban") {
		$message = $tot_banned.$cclang['121'];
	} elseif ($_GET['status'] == "ufpop") {
		$message = $tot_users.$cclang['115'];
	} elseif ($_GET['status'] == "ufdel") {
		$message = $cclang['117'];
	} elseif ($_GET['status'] == "superadmins") {
		$message = ($tot_superadmins - 1).$cclang['089'];
	}elseif ($_GET['status'] == "admins") {
		$message = $tot_admins.$cclang['004'];
	} elseif ($_GET['status'] == "pms") {
		$message = $tot_pms.$cclang['082'];
	} elseif ($_GET['status'] == "user_groups") {
		$message = $tot_user_groups.$cclang['005'];
	} elseif ($_GET['status'] == "articles") {
		$message = $tot_articles." ".sprintf($cclang['006'], $tot_article_cats);
	} elseif ($_GET['status'] == "cpages") {
		$message = $tot_cpages.$cclang['007'];
	} elseif ($_GET['status'] == "news") {
		$message = $tot_news.$cclang['008'];
	} elseif ($_GET['status'] == "comments") {
		$message = $tot_comments.$cclang['009'];
	} elseif ($_GET['status'] == "ratings") {
		$message = $tot_ratings.$cclang['010'];
	} elseif ($_GET['status'] == "threads") {
		$message = $tot_threads.$cclang['011'];
	} elseif ($_GET['status'] == "faqs") {
		$message = $tot_faqs.$cclang['012'];
	} elseif ($_GET['status'] == "downloads") {
		$message = $tot_downloads.$cclang['013'];
	} elseif ($_GET['status'] == "weblinks") {
		$message = $tot_weblinks." ".sprintf($cclang['014'], $tot_weblink_cats);
	} elseif ($_GET['status'] == "shouts") {
		$message = $tot_shouts.$cclang['015'];
	} elseif ($_GET['status'] == "photos") {
		$message = $tot_photos." ".sprintf($cclang['016'], $tot_photo_albums);
	} elseif ($_GET['status'] == "submissions") {
		$message = $tot_submissions.$cclang['017'];
	} elseif ($_GET['status'] == "polls") {
		$message = $tot_polls.$cclang['106'];
	} elseif ($_GET['status'] == "uvisits") {
		$message = $cclang['067'];
	} elseif ($_GET['status'] == "sitename") {
		$message = $cclang['068'];
	} elseif ($_GET['status'] == "theme") {
		$message = $cclang['071'];
	} elseif ($_GET['status'] == "logo") {
		$message = $cclang['078'];
	} elseif ($_GET['status'] == "uprofiles") {
		$message = $cclang['073'].($settings['hide_userprofiles'] == 0 ? $cclang['075'] : $cclang['074']);
	} elseif ($_GET['status'] == "maintenance_mode") {
		$message = ($settings['maintenance'] == 0 ? $cclang['090'].$cclang['093'] : $cclang['090'].$cclang['092']);
	} elseif ($_GET['status'] == "del") {
		$message = "All Content Deleted!";
	} elseif ($_GET['status'] == "clear_errors") {
		$message = $cclang['127'];
	}
 }
	
if (!isset($_GET['status'])) { $message = $cclang['123']; }

// Disable Flood Control

  if (isset($_POST['disable_flood'])) {
      $flood_value = $_POST['flood_value'];
 $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".$flood_value."' WHERE settings_name='flood_interval'");
 $result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=flood");
 }
 
// Clear Errors

  if (isset($_POST['clear_errors'])) {
 $query = dbquery("TRUNCATE TABLE ".DB_ERRORS);
 $result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=clear_errors");
 } 
	
// Generate Users	
	if (isset($_POST['generate_users'])) {
	    $num_users = $_POST['num_users'];
		$result = dbquery("DELETE FROM ".DB_SITE_LINKS." WHERE link_name='".$cclang['000']."'");
	    $result = dbquery("DELETE FROM ".DB_USERS." WHERE user_id != '1'");
	    $result = dbquery("ALTER TABLE ".DB_USERS." AUTO_INCREMENT=2");
	    $result = dbquery("TRUNCATE TABLE ".DB_USER_GROUPS);
	    for ($i = 2; $i <= $tot_users; $i++) { 
	    if (file_exists(IMAGES."avatars/avatar[".$i."].gif")) {
	    @unlink(IMAGES."avatars/avatar[".$i."].gif"); 
	        }
	     }
	    require_once CLASSES."PasswordAuth.class.php";
		$mailnames = array("gmail", "hotmail", "yahoo", "freemail", "mymail");
		$doms = array(".com", ".net", ".co.uk", ".org", ".edu", ".ie", ".de", ".info", ".biz");
		$query = "INSERT INTO ".DB_USERS." (user_name, user_algo, user_salt, user_password, user_admin_algo, user_admin_salt, user_admin_password, user_email, user_hide_email, user_offset, user_avatar, user_joined, user_lastvisit, user_ip, user_ip_type, user_level, user_web) 
		VALUES \n";
        $password = "53e22c0317babbfb1eca4e763555b46026472244b9adb9c9a6462e9aaba8ba53";
        $salt = "1951a13edd90a89678b2a118ddd941ba6b2c597f";
        $algo = "sha256";

	    for ($i = 1; $i <= $num_users; $i++) {
    $username = ucwords(randomname());
    $ii = rand(0, 4);
    $avr = rand(2, 9);
    $mail = strtolower($username."@".$mailnames[$ii].$doms[$ii]);
    $joined1 = rand(0, (time()/2));
    $joined = time()-$joined1;
    $lastvisit = time()-rand(0, $joined1);
    $ip = make_ip();
    $web = $urlprefix.strtolower($username).$doms[$ii];
    $offset = array( 1 => "-12.0", 2 => "-11.0", 3 => "-10.0", 4 => "-9.0", 5 => "-8.0", 6 => "-7.0", 7 => "-6.0", 8 => "-5.0", 9 => "-4.0", 10=> "-3.5", 11 => "-3.0", 12 => "-2.0", 13 => "-1.0", 14 => "0.0", 15 => "1.0", 16 => "2.0", 17 => "3.0", 18 => "3.5", 19 => "4.0", 20 => "4.5", 21 => "5.0", 22 => "5.5", 23 => "5.75", 24 => "6.0", 25 => "7.0", 26 => "8.0", 27 => "9.0", 28 => "9.5", 28 => "10.0", 29 => "11.0", 30 => "12.0");
    $ro = rand(1, 30);
    $avgimg = ($i+1);
    
    $query .= "('".$username."', '".$algo."', '".$salt."', '".$password."', '".$algo."', '', '', '".$mail."', '".rand(0,1)."', '".$offset[$ro]."', 'avatar[".$avgimg."].gif', '".$joined."', '".$lastvisit."', '".$ip."', '4', '101', '".$web."')".($i < $num_users ? "," : ";")."\n";
    @copy(BASEDIR."content_creator/images/avatars/avatar".$avr.".gif", IMAGES."avatars/avatar[".$avgimg."].gif");
      }	
	  $result = dbquery($query);
	  $result = dbquery("INSERT INTO ".DB_SITE_LINKS." (link_id, link_name, link_url, link_visibility, link_position, link_window, link_order) 
		VALUES ('', '".$cclang['000']."',  'content_creator/index.php',  '103',  '3',  '3', '99')");
      $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='/content_creator/index.php' WHERE settings_name='exclude_left'");
	  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='/content_creator/index.php' WHERE settings_name='exclude_upper'");
	  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='/content_creator/index.php' WHERE settings_name='exclude_lower'");
	  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='/content_creator/index.php' WHERE settings_name='exclude_right'");
	  redirect(FUSION_SELF.$aidlink."&status=users");
	}
	
// Delete Users
if (isset($_POST['delete_users']) && ($cont_calc <'21')) {
	    $result = dbquery("DELETE FROM ".DB_USERS." WHERE user_level = '101'");
	    $result = dbquery("DELETE FROM ".DB_USERS." WHERE user_level = '102'");
	    $result = dbquery("DELETE FROM ".DB_USERS." WHERE user_level = '103' AND user_id != '1'");
	    redirect(FUSION_SELF.$aidlink."&status=users");
	    }
	    
// Ban 2% of Users
	if (isset($_POST['ban_users'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_SUSPENDS);
	$result = dbquery("UPDATE ".DB_USERS." SET user_status='0' WHERE user_level = '101' AND user_status != '0'");
    $ban_total = round($tot_members*2/100);
    for ($i = ($tot_superadmins+$tot_admins); $i <= ($ban_total+$tot_superadmins+$tot_admins); $i++) {
    if ($i > 1) { $query .= ", "; }
    $ip = make_ip();
    $st = rand(1,4);
    $query = dbquery("UPDATE ".DB_USERS." SET user_status='".$st."' WHERE user_level = '101' AND user_id = '".$i."'");
    $query = dbquery("INSERT INTO ".DB_SUSPENDS." (suspended_user, suspending_admin, suspend_ip, suspend_ip_type, suspend_date, suspend_reason, suspend_type, reinstating_admin, reinstate_reason, reinstate_date, reinstate_ip, reinstate_ip_type) 
    	VALUES ('".($i+$tot_superadmins+$tot_admins)."', '1', '".$ip."', '4', '".(time()-12400)."', 'Spam', '".$st."', '', '', '', '', '')");
	}
	$result = dbquery($query);
    redirect(FUSION_SELF.$aidlink."&status=userban");
    }
    
// Unban All
	if (isset($_POST['unban_users'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_SUSPENDS);
	$result = dbquery("UPDATE ".DB_USERS." SET user_status='0' WHERE user_level = '101' AND user_status != '0'");
    redirect(FUSION_SELF.$aidlink."&status=userban");
    }

// Populate User Fields

// Generate Locations
	if (isset($_POST['generate_locations'])) {

    for ($i = 1; $i <= $tot_users; $i++) {
    if ($i > 1) { $query .= ", "; }
$location = array( 1 => "Afghanistan", 2 => "Albania", 3 => "Algeria", 4 => "American Samoa", 5 => "Andorra", 6 => "Angola", 7 => "Anguilla", 8 => "Antartica", 9 => "Antigua &amp, Barbuda", 10 => "Argentina", 11 => "Armenia", 12 => "Aruba", 13 => "Australia", 14 => "Austria", 15 => "Azerbaijan", 16 => "Bahamas", 17 => "Bahrain", 18 => "Bangladesh", 19 => "Barbados", 20 => "Belarus", 21 => "Belgium", 22 => "Belize", 23 => "Benin", 24 => "Bermuda", 25 => "Bhutan", 26 => "Bolivia", 27 => "Bosnia & Herzegovina", 28 => "Botswana", 29 => "Bouvet Island", 30 => "Brazil", 31 => "British Indian Ocean Territories", 32 => "Brunei", 33 => "Bulgaria", 34 => "Burkina Faso", 35 => "Burundi", 36 => "Cambodia", 37 => "Cameroon", 38 => "Canada", 39 => "Cape Verde", 40 => "Cayman Islands", 41 => "Central African Republic", 42 => "Chad", 43 => "Channel Islands", 44 => "Chile", 45 => "China", 46 => "Christmas Island", 47 => "Cocos Island", 48 => "Columbia", 49 => "Cocos (Keeling) Islands", 50 => "Comoros", 51 => "Congo", 52 => "Cook Islands", 53 => "Costa Rica", 54 => "Cote D'Ivoire", 55 => "Croatia", 56 => "Cuba", 57 => "Curacao", 58 => "Cyprus", 59 => "Czech Republic", 60 => "Denmark", 61 => "Djibouti", 62 => "Dominica", 63 => "Dominican Republic", 64 => "East Timor", 65 => "Ecuador", 66 => "Egypt", 67 => "El Salvador", 68 => "Equatorial Guinea", 69 => "Eritrea", 70 => "Estonia", 71 => "Ethiopia", 72 => "Falkland Islands", 73 => "Faroe Islands", 74 => "Fiji", 75 => "Finland", 76 => "France", 77 => "French Guiana", 78 => "French Polynesia", 79 => "French Southern Territories", 80 => "Gabon", 81 => "Gambia", 82 => "Georgia", 83 => "Germany", 84 => "Ghana", 85 => "Gibraltar", 86 => "Greece", 87 => "Greenland", 88 => "Grenada", 89 => "Guadeloupe", 90 => "Guam", 91 => "Guatemala", 92 => "Guinea", 93 => "Guinea-Bissau", 94 => "Guyana", 95 => "Haiti", 96 => "Heard &amp, McDonald Islands", 97 => "Honduras", 98 => "Hong Kong", 99 => "Hungary", 100 => "Iceland", 101 => "India", 102 => "Indonesia", 103 => "Iran", 104 => "Iraq", 105 => "Ireland", 106 => "Israel", 107 => "Italy", 108 => "Jamaica", 109 => "Japan", 110 => "Jordan", 111 => "Kazakhstan", 112 => "Kenya", 113 => "Kiribati", 114 => "Korea North", 115 => "Korea South", 116 => "Kuwait", 117 => "Kyrgyzstan", 118 => "Laos", 119 => "Latvia", 120 => "Lebanon", 121 => "Lesotho", 122 => "Liberia", 123 => "Libya", 124 => "Liechtenstein", 125 => "Lithuania", 126 => "Luxembourg", 127 => "Macau", 128 => "Macedonia", 129 => "Madagascar", 130 => "Malaysia", 131 => "Malawi", 132 => "Maldives", 133 => "Mali", 134 => "Malta", 135 => "Marshall Islands", 136 => "Martinique", 137 => "Mauritania", 138 => "Mauritius", 139 => "Mayotte", 140 => "Mexico", 141 => "Micronesia", 142 => "Moldova", 143 => "Monaco", 144 => "Mongolia", 145 => "Montenegro", 146 => "Montserrat", 147 => "Morocco", 148 => "Mozambique", 149 => "Myanmar", 150 => "Nambia", 151 => "Nauru", 152 => "Nepal", 153 => "Netherland Antilles", 154 => "Netherlands", 155 => "New Caledonia", 156 => "New Zealand", 157 => "Nicaragua", 158 => "Niger", 159 => "Nigeria", 160 => "Niue", 161 => "Norfolk Island", 162 => "Norway", 163 => "Northern Mariana Islands", 164 => "Oman", 165 => "Pakistan", 166 => "Palau Island", 167 => "Palestine", 168 => "Panama", 169 => "Papua New Guinea", 170 => "Paraguay", 171 => "Peru", 172 => "Philippines", 173 => "Pitcairn Island", 174 => "Poland", 175 => "Portugal", 176 => "Puerto Rico", 177 => "Qatar", 178 => "Reunion", 179 => "Romania", 180 => "Russia", 181 => "Rwanda", 182 => "St Helena", 183 => "St Kitts-Nevis", 184 => "St Lucia", 185 => "St Pierre &amp, Miquelon", 186 => "St Vincent &amp, Grenadines", 187 => "Samoa", 188 => "San Marino", 189 => "Sao Tome &amp, Principe", 190 => "Saudi Arabia", 191 => "Senegal", 192 => "Seychelles", 193 => "Serbia", 194 => "Sierra Leone", 195 => "Singapore", 196 => "Slovakia", 197 => "Slovenia", 198 => "Solomon Islands", 199 => "Somalia", 200 => "South Africa", 201 => "South Georgia and the South Sandwich Islands", 202 => "Spain", 203 => "Sri Lanka", 204 => "Sudan", 205 => "Suriname", 206 => "Svalbard & Jan Mayen Islands", 207 => "Swaziland", 208 => "Sweden", 209 => "Switzerland", 210 => "Syria", 211 => "Tahiti", 212 => "Taiwan", 213 => "Tajikistan", 214 => "Tanzania", 215 => "Thailand", 216 => "Togo", 217 => "Tokelau", 218 => "Tonga", 219 => "Trinidad &amp, Tobago", 220 => "Tunisia", 221 => "Turkey", 222 => "Turkmenistan", 223 => "Turks &amp, Caicos Is", 224 => "Tuvalu", 225 => "Uganda", 226 => "Ukraine", 227 => "United Arab Emirates", 228 => "United Kingdom", 229 => "United States Minor Outlying Islands", 230 => "United States of America", 231 => "Uruguay", 232 => "Uzbekistan", 233 => "Vanuatu", 234 => "Vatican City State", 235 => "Venezuela", 236 => "Vietnam", 237 => "Virgin Islands (Brit)", 238 => "Virgin Islands (USA)", 239 => "Wallis &amp, Futana Islands", 240 => "Western Sahara", 241 => "Yemen", 242 => "Yugoslavia", 243 => "Zaire", 244 => "Zambia", 245 => "Zimbabwe");
    $lo = rand(1,245);
    $query = dbquery("UPDATE ".DB_USERS." SET user_location='".$location[$lo]."' WHERE user_id = '".$i."'");
       }
    $result = dbquery($query);
    redirect(FUSION_SELF.$aidlink."&status=ufpop");   
    }

// Generate Birthdays
	if (isset($_POST['generate_birthdays'])) {

    for ($i = 1; $i <= $tot_users; $i++) {
    if ($i > 1) { $query .= ", "; }
    $d = rand(1,31);
    $m = rand(1,12);
    $y = rand(1940,2000);
    $d1 = sprintf("%02s", $d);
    $m1 = sprintf("%02s", $m);
    $bd = $y."-".$m1."-".$d1;
    
    $query = dbquery("UPDATE ".DB_USERS." SET user_birthdate='".$bd."' WHERE user_id = '".$i."'");
       }
    $result = dbquery($query);
    redirect(FUSION_SELF.$aidlink."&status=ufpop");   
    }

// Populate Skype UF
	if (isset($_POST['generate_skype'])) {

    for ($i = 1; $i <= $tot_users; $i++) {
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_USERS." SET user_skype='User#".$i."-SkypeID' WHERE user_id = '".$i."'");
       }
    $result = dbquery($query);
    redirect(FUSION_SELF.$aidlink."&status=ufpop");   
    }
    
// Populate AIM UF
	if (isset($_POST['generate_aim'])) {

    for ($i = 1; $i <= $tot_users; $i++) {
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_USERS." SET user_aim='User#".$i."-AIMID' WHERE user_id = '".$i."'");
       }
    $result = dbquery($query);
    redirect(FUSION_SELF.$aidlink."&status=ufpop");   
    }

// Populate ICQ UF
	if (isset($_POST['generate_icq'])) {
    for ($i = 1; $i <= $tot_users; $i++) {
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_USERS." SET user_icq='User#".$i."-ICQID' WHERE user_id = '".$i."'");
       }
    $result = dbquery($query);
    redirect(FUSION_SELF.$aidlink."&status=ufpop");   
    }
    
// Populate MSN UF
	if (isset($_POST['generate_msn'])) {
    for ($i = 1; $i <= $tot_users; $i++) {
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_USERS." SET user_msn='User#".$i."-MSNID' WHERE user_id = '".$i."'");
       }
    $result = dbquery($query);
    redirect(FUSION_SELF.$aidlink."&status=ufpop");   
    }

// Populate Yahoo UF
	if (isset($_POST['generate_yahoo'])) {

    for ($i = 1; $i <= $tot_users; $i++) {
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_USERS." SET user_yahoo='User#".$i."-YahooID' WHERE user_id = '".$i."'");
       }
    $result = dbquery($query);
    redirect(FUSION_SELF.$aidlink."&status=ufpop");   
    }

// Empty User Fields
	if (isset($_POST['delete_uf'])) {

    for ($i = 1; $i <= $tot_users; $i++) {
    if ($i > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_USERS." SET user_location = '', user_birthdate = '', user_skype='', user_aim = '', user_icq = '', user_msn = '', user_yahoo = '' WHERE user_id = '".$i."'");
       }
    $result = dbquery($query);
    redirect(FUSION_SELF.$aidlink."&status=ufdel");   
    }
	
// Generate SuperAdmins
	if (isset($_POST['generate_superadmins'])) {
	    $superadmin_password = "b1236a3f8e34561f50389f5ff4fca2cd40c4999602cff6157529c85d516018c9";
        $superadmin_salt = "4314040ec18e9b7758d3c73e4412a511ab8cbc12";
        $algo = "sha256";
	    $result = dbquery("UPDATE ".DB_USERS." SET user_level='101', user_admin_algo = '', user_admin_salt = '', user_admin_password = '' WHERE user_level='103' AND user_id !='1'");
		$num_superadmins = $_POST['num_superadmins'];
		$u = 2;
		$super_rights = "A.AC.AD.APWR.B.BB.C.CP.DB.DC.D.ERRO.FQ.F.FR.IM.I.IP.M.N.NC.P.PH.PI.PO.ROB.SL.S1.S2.S3.S4.S5.S6.S7.S8.S9.S10.S11.S12.SB.SM.SU.UF.UFC.UG.UL.U.W.WC";

	for ($a = 1; $a <= $num_superadmins; $a++) {
	if ($a > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_USERS." SET 
                                              user_level='103', 
                                              user_admin_algo = '".$algo."', 
                                              user_admin_salt = '".$superadmin_salt."', 
                                              user_admin_password = '".$superadmin_password."', 
                                              user_rights = '".$super_rights."' 
                                              WHERE user_id !='1' AND user_id='".$u."'
                                              ");
    $u++;
      }	
	  $result = dbquery($query);
	  redirect(FUSION_SELF.$aidlink."&status=superadmins");
	}

// Delete Superadmins
if (isset($_POST['delete_superadmins'])) {
	    $query = dbquery("UPDATE ".DB_USERS." SET user_level='101' WHERE user_level = '103' AND user_id !='1'");
	    redirect(FUSION_SELF.$aidlink."&status=superadmins");
	    }
	
// Generate Admins
	if (isset($_POST['generate_admins'])) {
	    $admin_password = "b1236a3f8e34561f50389f5ff4fca2cd40c4999602cff6157529c85d516018c9";
        $admin_salt = "4314040ec18e9b7758d3c73e4412a511ab8cbc12";
        $algo = "sha256";
	    $result = dbquery("UPDATE ".DB_USERS." SET user_level='101', user_admin_algo = '', user_admin_salt = '', user_admin_password = '' WHERE user_level='102' AND user_id !='1'");
		$num_admins = $_POST['num_admins'];
		$u = ($tot_superadmins+1);
		$urights = array(
		                 1 => "AC.A.SB.BB.B.C.DC.D.FQ.F.IM.M.NC.N.P.PH.PI.PO.SL.SM.SU.U.UG.WC.W.S1.S2.S3.S4.S5.S6.S7.S8.S9.S10.S11.S12.UF.FR.UFC.ROB.UL",
		                 2 => "AC.A.SB.BB.B.C.DC.D.FQ.F.IM.M.NC.N.P.PH.PI.PO.SL.SM.SU.U.UG.WC.W.S3.S4.S5.S6.S7.S8.S9.S12.UF.FR.UFC.ROB.UL",
		                 3 => "AC.A.SB.C.DC.D.FQ.M.NC.N.P.PH.SU.U.UG.WC.W.S1.S2.S3.S4.S5.S6.S7.S8.S9.S10.S11.S12.UF.FR.UFC.ROB.UL",
		                 4 => "C.DC.D.FQ.F.IM.M.NC.N.P.PH.PI.PO.SL.SM.SU.U.UG.S4.S5.S6.S7.S8.S9.S10.S11.S12.UF.FR.",
		                 5 => "AC.A.SB.BB.B.C.DC.D.FQ.F.IM.M.NC.N.PI.PO.SL.SM.SU.U.UG.WC.W.UF.FR.UFC.ROB.UL",
		                 6 => "SB.BB.B.C.SL.SM.WC.W.S1.S2.S3.S4.S5.S6.S7.S8.UF.FR.UFC.ROB.UL"
		);

	for ($a = 1; $a <= $num_admins; $a++) {
	$ii = rand(1, 6);
	if ($a > 1) { $query .= ", "; }
    $query = dbquery("UPDATE ".DB_USERS." SET 
                                              user_level='102', 
                                              user_admin_algo = '".$algo."', 
                                              user_admin_salt = '".$admin_salt."', 
                                              user_admin_password = '".$admin_password."', 
                                              user_rights = '".$urights[$ii]."' 
                                              WHERE user_id !='1' AND user_id='".$u."'
                                              ");
    $u++;
      }	
	  $result = dbquery($query);
	  redirect(FUSION_SELF.$aidlink."&status=admins");
	}

// Delete Admins
if (isset($_POST['delete_admins'])) {
	    $query = dbquery("UPDATE ".DB_USERS." SET user_level='101' WHERE user_level = '102' AND user_id !='1'");
	    redirect(FUSION_SELF.$aidlink."&status=users");
	    }
	
// Generate PM's

    if (isset($_POST['generate_pms'])) {
    require_once INCLUDES."infusions_include.php";
	$result = dbquery("TRUNCATE TABLE ".DB_MESSAGES);
	$num_pms = $_POST['num_pms'];

// Insert Messages
	for ($a = 1; $a <= $num_pms; $a++) {
		if ($a > 1) { $query .= ", "; }
		$user_to = rand(1, $tot_users/2);
		$user_from = rand($tot_users/2, $tot_users);
		$query = send_pm($user_to, $user_from, $pm_subject.$a, $message_text);
	    }
	$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=pms");
	}

// Delete PM's
    if (isset($_POST['delete_pms'])) {
    require_once INCLUDES."infusions_include.php";
	$result = dbquery("TRUNCATE TABLE ".DB_MESSAGES);
	redirect(FUSION_SELF.$aidlink."&status=pms");
	}

// Generate User Groups
    if (isset($_POST['generate_user_groups'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_USER_GROUPS);
	$result = dbquery("UPDATE ".DB_USERS." SET user_groups='' WHERE user_id !='1'");
	$num_user_groups = $_POST['num_user_groups'];
	for ($a = 1; $a <= $num_user_groups; $a++) {
		if ($a > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO ".DB_USER_GROUPS." (group_name, group_description) VALUES ('".$cclang['018'].$a."', '".$cclang['019'].$a."')");	
	}
	$insert_num_users = ($tot_users/2);
	for ($b = 1; $b <= $insert_num_users; $b++) {
	if ($b > 1) { $query .= ", "; }
	$update = dbquery("UPDATE ".DB_USERS." SET user_groups='.".rand(1, $num_user_groups).".".rand(1, $num_user_groups)."' WHERE user_id='".rand(1, $tot_users)."'");
	}

	$result = dbquery($query);
	$result = dbquery($update);
	redirect(FUSION_SELF.$aidlink."&status=user_groups");
}

// Delete User Groups
    if (isset($_POST['delete_user_groups'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_USER_GROUPS);
	$result = dbquery("UPDATE ".DB_USERS." SET user_groups='' WHERE user_id !='1'");
	redirect(FUSION_SELF.$aidlink."&status=user_groups");
}

 
// Generate News Items
    if (isset($_POST['generate_news'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_NEWS);
	$num_news = $_POST['num_news'];
	for ($i = 1; $i <= $num_news; $i++) {
	if ($i > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO ".DB_NEWS." (news_subject, news_image, news_image_t1, news_image_t2, news_cat, news_news, news_extended, news_breaks, news_name, news_datestamp, news_start, news_end, news_visibility, news_reads, news_draft, news_sticky, news_allow_comments, news_allow_ratings) 
		VALUES ('News Item ".$i."',  '',  '',  '',  '".rand(1, $num_cats)."',  '".$snippet."',  '".$body."',  'n',  '".rand(1, $tot_users)."',  '".(time()-rand(0, (time()/2)))."',  '0',  '0',  '".rand(0, 3)."',  '".rand(0, 10000)."',  '0',  '0',  '1',  '1')");
		}
		$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=news");
 }
 
// Delete News Items
    if (isset($_POST['delete_news'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_NEWS);
	redirect(FUSION_SELF.$aidlink."&status=news");
	}
 
// Generate Articles
    if (isset($_POST['generate_articles'])) {
	// Truncate tables
	$result = dbquery("TRUNCATE TABLE ".DB_ARTICLES);
	$result = dbquery("TRUNCATE TABLE ".DB_ARTICLE_CATS);
	$num_articles = $_POST['num_articles'];

// Insert Article Categories
	$query = "INSERT INTO  ".DB_ARTICLE_CATS." (article_cat_name, article_cat_description, article_cat_sorting, article_cat_access) VALUES ";
	for ($a = 1; $a <= 10; $a++) {
		if ($a > 1) { $query .= ", "; }
		$query .= "('".$cclang['020'].$a."', '".$cclang['021'].$a."', 'article_subject ASC', '0')";
	}
	$result = dbquery($query);

// Insert Articles
	for ($i = 1; $i <= $num_articles; $i++) {
	if ($i > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO  ".DB_ARTICLES." (article_cat, article_subject, article_snippet, article_article, article_draft, article_breaks, article_name, article_datestamp, article_reads, article_allow_comments, article_allow_ratings) VALUES ('".rand(1, 10)."', '".$cclang['022'].$i."', '".$snippet."', '".$body."', '0', 'n', '".rand(1, $tot_users)."', '".(time()-rand(0, (time()/2)))."', '".rand(0, 10000)."', '1', '1')");
		}
		$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=articles");
 }
 
// Delete Articles
    if (isset($_POST['delete_articles'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_ARTICLES);
	$result = dbquery("TRUNCATE TABLE ".DB_ARTICLE_CATS);
	redirect(FUSION_SELF.$aidlink."&status=articles");
	}
 
// Generate Custom Pages
    if (isset($_POST['generate_custom_pages'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_CUSTOM_PAGES);
	$result = dbquery("DELETE FROM ".DB_SITE_LINKS." WHERE link_name='Custom Page'");
	$num_cpages = $_POST['num_cpages'];
	for ($i = 1; $i <= $num_cpages; $i++) {
	if ($ii > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO ".DB_CUSTOM_PAGES." (page_id, page_title, page_access, page_content, page_allow_comments, page_allow_ratings) 
		VALUES ('', '".$cclang['023'].$i."',  '0',  '".$body."',  '1',  '1')");
		}
		$result = dbquery("INSERT INTO ".DB_SITE_LINKS." (link_id, link_name, link_url, link_visibility, link_position, link_window, link_order) 
		VALUES ('', '".$cclang['023']."',  'viewpage.php?page_id=".rand(1, $num_cpages)."',  '0',  '1',  '0', '99')");
		$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=cpages");
 }

// Delete Custom Pages
    if (isset($_POST['delete_cps'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_CUSTOM_PAGES);
	$result = dbquery("DELETE FROM ".DB_SITE_LINKS." WHERE link_name='Custom Page'");
	redirect(FUSION_SELF.$aidlink."&status=cpages");
	}
 
// Generate Downloads
    if (isset($_POST['generate_downloads'])) {
    // Delete Files
    	$result= dbquery("SELECT download_file FROM ".DB_DOWNLOADS." ORDER BY download_id ASC");                        
        if (dbrows($result)) {
        while ($data = dbarray($result)) {
	@unlink(BASEDIR."downloads/".$data['download_file']);
	  }
	 }
	// Truncate tables
	$result = dbquery("TRUNCATE TABLE ".DB_DOWNLOADS);
	$result = dbquery("TRUNCATE TABLE ".DB_DOWNLOAD_CATS);
	$num_downloads = $_POST['num_downloads'];
	$create_files = $_POST['create_files'];

// Insert Download Categories
	$query = "INSERT INTO  ".DB_DOWNLOAD_CATS." (download_cat_name, download_cat_description, download_cat_sorting, download_cat_access) VALUES ";
	for ($a = 1; $a <= 10; $a++) {
		if ($a > 1) { $query .= ", "; }
		$query .= "('".$cclang['020'].$a."', '".$cclang['021'].$a."', 'download_id ASC', '0')";
	}
	$result = dbquery($query);

// Insert Downloads
	for ($i = 1; $i <= $num_downloads; $i++) {
	if ($i > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO  ".DB_DOWNLOADS." (download_user, download_homepage, download_title, download_description_short, download_description, download_image, download_image_thumb, download_url, download_file, download_cat, download_license, download_copyright, download_os, download_version, download_filesize, download_datestamp, download_count, download_allow_comments, download_allow_ratings) 
		VALUES ('".rand(0, $tot_users)."', 'http://www.google.com/', '".$cclang['024'].$i."', '".$snippet."', '".$body."', '', '', '', 'download".$i.".zip', '".rand(0, 10)."', 'agpl', '".$cclang['025']." 200".rand(0, 12)."', '', '".rand(0, 10).".".rand(0, 10)."', '".rand(0, 300)."Kb', '".(time()-rand(0, (time()/2)))."', '".rand(0, 2000)."', '1', '1')");
		
		if (isset($_POST['create_files'])) {
		$create_dl = fopen(DOWNLOADS."download".$i.".zip", "w");
		fclose($create_dl);
		}
    }
		$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=downloads");
 }
 
// Generate Downloads
    if (isset($_POST['delete_downloads'])) {
    	$result= dbquery("SELECT download_file FROM ".DB_DOWNLOADS." ORDER BY download_id ASC");                        
        if (dbrows($result)) {
        while ($data = dbarray($result)) {
	@unlink(BASEDIR."downloads/".$data['download_file']);
	  }
	 }
	$result = dbquery("TRUNCATE TABLE ".DB_DOWNLOADS);
	$result = dbquery("TRUNCATE TABLE ".DB_DOWNLOAD_CATS);
	redirect(FUSION_SELF.$aidlink."&status=downloads");
	}
 
// Generate Comments
if (isset($_POST['generate_comments'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_COMMENTS);
	$num_comments = $_POST['num_comments'];
	$ctype = array(
	                1 => "A", 
	                2 => "N", 
	                3 => "C",
	                4 => "D",
	                5 => "P"
	);
	
	$ctext = array(
	                1 => $comment_text1, 
	                2 => $comment_text2, 
	                3 => $comment_text3
	);
	for ($i = 1; $i <= ($num_comments); $i++) {
	$ii = rand(1, 5);
	$ct = rand(1, 3);
		$query = dbquery("INSERT INTO  ".DB_COMMENTS." (comment_item_id, comment_type, comment_name, comment_message, comment_datestamp, comment_ip, comment_hidden) 
		VALUES ('".rand(1, $tot_news)."',  '".$ctype[$ii]."',  '".rand(1, $tot_users)."',  '".$ctext[$ct]."',  '".(time()-rand(0, (time()/2)))."',  '".make_ip()."',  '0')");
		}
		$result = dbquery($query);
		redirect(FUSION_SELF.$aidlink."&status=comments");
}

// Delete Comments
if (isset($_POST['delete_comments'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_COMMENTS);
	redirect(FUSION_SELF.$aidlink."&status=comments");
}

// Generate Ratings
if (isset($_POST['generate_ratings'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_RATINGS);
	$num_ratings = $_POST['num_ratings'];
	$rtype = array(
	                1 => "A", 
	                2 => "N", 
	                3 => "C",
	                4 => "D",
	                5 => "P"
	);
	$rmax = array(
	                1 => $tot_articles, 
	                2 => $tot_news, 
	                3 => $tot_cpages,
	                4 => $tot_downloads,
	                5 => $tot_photos
	);
	for ($i = 1; $i <= ($num_ratings); $i++) {
	$ii = rand(1, 5);
		$query = dbquery("INSERT INTO  ".DB_RATINGS." (rating_id, rating_item_id, rating_type, rating_user, rating_vote, rating_datestamp, rating_ip, rating_ip_type) 
		VALUES ('', '".rand(1, $rmax[$ii])."',  '".$rtype[$ii]."',  '".rand(1, $tot_users)."',  '".rand(1, 5)."',  '".(time()-rand(0, (time()/2)))."',  '".make_ip()."',  '4')");
		}
		$result = dbquery($query);
		redirect(FUSION_SELF.$aidlink."&status=ratings");
}

// Delete Ratings
if (isset($_POST['delete_ratings'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_RATINGS);
	redirect(FUSION_SELF.$aidlink."&status=ratings");
}

// Generate Threads
if (isset($_POST['generate_threads'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_FORUMS);
	$result = dbquery("TRUNCATE TABLE ".DB_THREADS);
	$result = dbquery("TRUNCATE TABLE ".DB_POSTS);
	$num_threads = $_POST['num_threads'];
	$num_forums = $_POST['num_forums'];

	// Generate Forum Categories
	$query = "INSERT INTO ".DB_FORUMS." (forum_cat, forum_name, forum_order) VALUES ";
	for ($a = 1; $a <= $num_forums; $a++) {
		if ($a > 1) { $query .= ", "; }
		$query .= "('0', 'Category ".$a."', '".$a."')";
	}
	$result = dbquery($query);
	
// Generate Forums
	$query = "INSERT INTO ".DB_FORUMS." (forum_cat, forum_name, forum_order, forum_description, forum_moderators, forum_access, forum_post, forum_reply, forum_lastpost, forum_postcount, forum_threadcount, forum_lastuser) VALUES ";
	for ($a = 1; $a <= $num_forums; $a++) {
		if ($a > 1) { $query .= ", "; }
		$query .= "('".$a."', '".$cclang['026'].$a."', '".$a."', '".$cclang['026'].$a.$cclang['027']."', '102', '0', '101', '101', '".(time()-rand(0, (time()/2)))."', '0', '0', '".rand(1, $tot_users)."')";
	}
	$result = dbquery($query);

// Insert Threads
	for ($a = 1; $a <= $num_threads; $a++) {
	if ($a > 1) { $query .= ", "; }
	$poster = rand(1, $tot_users);
	
	$query = dbquery("INSERT INTO ".DB_THREADS." (forum_id, thread_subject, thread_author, thread_views, thread_lastpost, thread_lastpostid, thread_lastuser, thread_postcount) 
	VALUES('".rand($num_forums+1, $num_forums*2)."', '".$cclang['028'].$a."', '".$poster."', '".rand(0, 100)."', '".(time()-rand(0, (time()/2)))."', '".$poster."', '".$poster."', '1')");
	$thread_id = mysql_insert_id();
	
	$query2 = dbquery("INSERT INTO ".DB_POSTS." (forum_id, thread_id, post_message, post_author, post_datestamp, post_ip, post_ip_type) 
	VALUES ('".rand($num_forums+1, $num_forums*2)."', '".$a."', '".$body."', '".$poster."', '".(time()-rand(0, (time()/2)))."', '".make_ip()."', '4')");
	$post_id = mysql_insert_id();
	
	$query3 = dbquery("INSERT INTO ".DB_POSTS." (forum_id, thread_id, post_message, post_author, post_datestamp, post_ip, post_ip_type) 
	VALUES ('".rand($num_forums+1, $num_forums*2)."', '".rand(1, $num_threads)."', '".$body."', '".$poster."', '".(time()-rand(0, (time()/2)))."', '".make_ip()."', '4')");
	$post_id = mysql_insert_id();
	}
	
	$result = dbquery($query);
	$result = dbquery($query2);
	$result = dbquery($query3);
	
	for ($p = 1; $p <= $num_threads; $p++) {
	if ($p > $num_threads) { $query .= ", "; }
	$post_count = dbcount("(thread_id)", DB_POSTS, "thread_id='".$p."'");
	$query = dbquery("UPDATE ".DB_THREADS." SET thread_postcount='$post_count' WHERE thread_id='".$p."'");	
	}
	$result = dbquery($query);

  	for ($b = ($num_forums+1); $b <= ($num_forums*2); $b++) {
	if ($b > $num_forums); { $query .= ", "; }
	list($threadcount, $postcount) = dbarraynum(dbquery("SELECT COUNT(thread_id), SUM(thread_postcount) FROM ".DB_THREADS." WHERE forum_id='".$b."'"));
	$query = dbquery("UPDATE ".DB_FORUMS." SET forum_postcount='$postcount', forum_threadcount='$threadcount' WHERE forum_id='".$b."'");	
	}
	$result = dbquery($query);
	
	for ($c = ($num_forums+1); $c <= $tot_users; $c++) {
	if ($c > $num_forums); { $query .= ", "; }
	$post_count = dbcount("(post_id)", DB_POSTS, "post_author='".$c."'");
	$query = dbquery("UPDATE ".DB_USERS." SET user_posts='$post_count' WHERE user_id='".$c."'");	
	}
	$result = dbquery($query);
    redirect(FUSION_SELF.$aidlink."&status=threads");
}

// Generate Threads
if (isset($_POST['delete_forums'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_FORUMS);
	$result = dbquery("TRUNCATE TABLE ".DB_THREADS);
	$result = dbquery("TRUNCATE TABLE ".DB_POSTS);
//	$query = dbquery("UPDATE ".DB_USERS." SET user_posts='$post_count' WHERE user_id !='1'");
    redirect(FUSION_SELF.$aidlink."&status=threads");
	}

// Generate Faqs
    if (isset($_POST['generate_faqs'])) {
	// Truncate tables
	$result = dbquery("TRUNCATE TABLE ".DB_FAQS);
	$result = dbquery("TRUNCATE TABLE ".DB_FAQ_CATS);
	$num_faqs = $_POST['num_faqs'];

// Faq Categories
	$query = "INSERT INTO  ".DB_FAQ_CATS." (faq_cat_name, faq_cat_description) VALUES ";
	for ($a = 1; $a <= 10; $a++) {
		if ($a > 1) { $query .= ", "; }
		$query .= "('".$cclang['029'].$a."', '".$cclang['030'].$a.$cclang['027']."')";
	}
	$result = dbquery($query);

// Insert Faqs
	for ($i = 1; $i <= $num_faqs; $i++) {
	if ($i > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO ".DB_FAQS." (faq_cat_id, faq_question, faq_answer) VALUES ('".rand(1, 10)."', '".$question." ".$i."', '".$answer."')");
		}
		$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=faqs");
 }
 
// Delete Faqs
    if (isset($_POST['delete_faqs'])) {
	// Truncate tables
	$result = dbquery("TRUNCATE TABLE ".DB_FAQS);
	$result = dbquery("TRUNCATE TABLE ".DB_FAQ_CATS);
	redirect(FUSION_SELF.$aidlink."&status=faqs");
	}
 
// Generate Weblinks
    if (isset($_POST['generate_weblinks'])) {
	// Truncate tables
	$result = dbquery("TRUNCATE TABLE ".DB_WEBLINKS);
	$result = dbquery("TRUNCATE TABLE ".DB_WEBLINK_CATS);
	$num_weblinks = $_POST['num_weblinks'];

// Weblink Categories
	$query = "INSERT INTO  ".DB_WEBLINK_CATS." (weblink_cat_name, weblink_cat_description, weblink_cat_sorting, weblink_cat_access) VALUES ";
	for ($a = 1; $a <= 10; $a++) {
		if ($a > 1) { $query .= ", "; }
		$query .= "('".$cclang['031'].$a."', '".$cclang['032'].$a.$cclang['027']."', 'weblink_datestamp DESC', '0')";
	}
	$result = dbquery($query);

// Insert Weblinks
    $wdesc = array(
	                1 => $shout1, 
	                2 => $shout2, 
	                3 => $shout3,
	                4 => $shout4
	);
	for ($i = 1; $i <= $num_weblinks; $i++) {
	$ii = rand(1, 4);
	if ($i > 1) { $query .= ", "; }
	$site = $urlprefix.strtolower(randomname().".com");
		$query = dbquery("INSERT INTO ".DB_WEBLINKS." (weblink_name, weblink_description, weblink_url, weblink_cat, weblink_datestamp, weblink_count) 
		VALUES ('".$cclang['033'].$i."', '".$wdesc[$ii]."', '".$site."', '".rand(0, 10)."', '".(time()-rand(0, (time()/2)))."', '".rand(0, 10000)."')");
		}
		$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=weblinks");
 }

// Delete Weblinks
    if (isset($_POST['delete_weblinks'])) {
	// Truncate tables
	$result = dbquery("TRUNCATE TABLE ".DB_WEBLINKS);
	$result = dbquery("TRUNCATE TABLE ".DB_WEBLINK_CATS);
	redirect(FUSION_SELF.$aidlink."&status=weblinks");
	}

// Generate Shouts

if (isset($_POST['generate_shouts'])) {
     include INFUSIONS."shoutbox_panel/infusion_db.php";
     $result = dbquery("TRUNCATE TABLE ".DB_SHOUTBOX);
     $num_shouts = $_POST['num_shouts'];
     	$stype = array(
	                1 => $shout1, 
	                2 => $shout2, 
	                3 => $shout3,
	                4 => $shout4
	);
     for ($s = 1; $s <= $num_shouts; $s++) { 
     $ii = rand(1, 4);
     if ($si > 1) { $query .= ", "; }
     $query = dbquery("INSERT INTO ".DB_SHOUTBOX." (shout_name, shout_message, shout_datestamp, shout_ip, shout_ip_type, shout_hidden) 
     VALUES ('".rand(1, $tot_users)."', '".$stype[$ii]."', '".(time()-rand(0, (time()/2)))."', '".make_ip()."', '4',  '0')");
     }
     $result = dbquery($query);
     redirect(FUSION_SELF.$aidlink."&status=shouts");
}

//Delete Shouts
if (isset($_POST['delete_shouts'])) {
     include INFUSIONS."shoutbox_panel/infusion_db.php";
     $result = dbquery("TRUNCATE TABLE ".DB_SHOUTBOX);
     redirect(FUSION_SELF.$aidlink."&status=shouts");
     }

// Generate Photo Albums
    if (isset($_POST['generate_photos'])) {
    // Delete Files
    	$result= dbquery("SELECT album_id, photo_filename, photo_thumb1 FROM ".DB_PHOTOS." ORDER BY photo_id ASC");                        
        if (dbrows($result)) {
        while ($data = dbarray($result)) {
    @chmod(PHOTOS, 0777);
    @chmod(PHOTOS."album_".$data['album_id'], 0777);  
       
	@unlink(PHOTOS."album_".$data['album_id']."/".$data['photo_filename']);
	@unlink(PHOTOS."album_".$data['album_id']."/".$data['photo_thumb1']);
	@unlink(PHOTOS."album_".$data['album_id']."/index.php");
	rmdir(PHOTOS."album_".$data['album_id']);
	  }
	 }
	// Truncate tables
	$result = dbquery("TRUNCATE TABLE ".DB_PHOTOS);
	$result = dbquery("TRUNCATE TABLE ".DB_PHOTO_ALBUMS);
	$num_photos = $_POST['num_photos'];

// Insert Photo Albums
	$query = "INSERT INTO  ".DB_PHOTO_ALBUMS." (album_title, album_description, album_thumb, album_user, album_access, album_order, album_datestamp) VALUES ";
	for ($a = 1; $a <= 10; $a++) {
		if ($a > 1) { $query .= ", "; }
		$query .= "('".$cclang['034'].$a."', '".$cclang['034'].$a.$cclang['027']."', 'test_album_thumb.jpg', '".rand(1, $tot_users)."', '0', '".$a."', '".(time()-rand(0, (time()/2)))."')";
	}
	@copy(BASEDIR."content_creator/images/test_album_thumb.jpg", PHOTOS."test_album_thumb.jpg");
	$result = dbquery($query);
	$photo_desc_array = array(
	                1 => $photo_desc1, 
	                2 => $photo_desc2, 
	                3 => $photo_desc3,
	                4 => $photo_desc4,
	                5 => $photo_desc5
	);

// Insert Photo Data
	for ($i = 1; $i <= $num_photos; $i++) {
	$ii = rand(1, 5);
	$im = rand(1, 12);
	$al = rand(1, 10);
	if ($i > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO  ".DB_PHOTOS." (album_id, photo_title, photo_description, photo_filename, photo_thumb1, photo_thumb2, photo_datestamp, photo_user, photo_views, photo_order, photo_allow_comments, photo_allow_ratings) 
		VALUES ('".$al."', '".$cclang['035'].$i."', '".$photo_desc_array[$ii]."', 'image".$im.".jpg', 'image".$im."_t1.jpg', 'image".$im."_t2.jpg', '".(time()-rand(0, (time()/2)))."', '".rand(1, $tot_users)."', '".rand(0, 1000)."', '".$i."', '1', '1')");
 
// Create Photo Albums  
    if (isset($_POST['move_photos'])) {
            @mkdir(PHOTOS."album_".$al, 0777);
			@copy(BASEDIR."content_creator/images/index.php", PHOTOS."album_".$al."/index.php");
			$thumb = BASEDIR."content_creator/images/Image".$im."_t1.jpg";
			$image = BASEDIR."content_creator/images/Image".$im.".jpg";
			@copy($image, PHOTOS."album_".$al."/image".$im.".jpg");
			@copy($thumb, PHOTOS."album_".$al."/image".$im."_t1.jpg");		
         }
     }
    
		$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=photos");
 }
 
// Delete Photos
    if (isset($_POST['delete_photos'])) {
    	$result= dbquery("SELECT album_id, photo_filename, photo_thumb1 FROM ".DB_PHOTOS." ORDER BY photo_id ASC");                        
        if (dbrows($result)) {
        while ($data = dbarray($result)) {
    @chmod(PHOTOS, 0777);
    @chmod(PHOTOS."album_".$data['album_id'], 0777);  
    
	@unlink(PHOTOS."album_".$data['album_id']."/".$data['photo_filename']);
	@unlink(PHOTOS."album_".$data['album_id']."/".$data['photo_thumb1']);
	@unlink(PHOTOS."album_".$data['album_id']."/index.php");
	rmdir(PHOTOS."album_".$data['album_id']);
	  }
	 }
	$result = dbquery("TRUNCATE TABLE ".DB_PHOTOS);
	$result = dbquery("TRUNCATE TABLE ".DB_PHOTO_ALBUMS);
	redirect(FUSION_SELF.$aidlink."&status=photos");
}
 
// Insert Submissions
    if (isset($_POST['generate_submissions'])) { 
    $photo_files = dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type = 'p'");
    for ($i = 1; $i <= $photo_files; $i++) {                      
	@unlink(PHOTOS."submissions/submit_img-".$i.".jpg");
	  }
    
	// Truncate tables
	$result = dbquery("TRUNCATE TABLE ".DB_SUBMISSIONS);
	$num_submissions = ($_POST['num_submissions']/5);
	// Articles
	for ($i = 1; $i <= $num_submissions; $i++) {
	$submit_info['article_cat'] = rand(1,10);
	$submit_info['article_subject'] = $cclang['036'].$i;
	$submit_info['article_snippet'] = $snippet;
	$submit_info['article_body'] = $body;
	if ($i > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO ".DB_SUBMISSIONS." (submit_type, submit_user, submit_datestamp, submit_criteria) 
		VALUES ('a', '".rand(1, $tot_users)."', '".(time()-rand(0, (time()/2)))."', '".addslashes(serialize($submit_info))."')");
		}
		
    // Weblink
    for ($i = 1; $i <= $num_submissions; $i++) {
	$submit_info['link_category'] = rand(1,10);
	$submit_info['link_name'] = $cclang['033'].$i;
	$submit_info['link_url'] = $urlprefix.strtolower(randomname().".com");
	$submit_info['link_description'] = $shout3;
	if ($i > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO ".DB_SUBMISSIONS." (submit_type, submit_user, submit_datestamp, submit_criteria) 
		VALUES ('l', '".rand(1, $tot_users)."', '".(time()-rand(0, (time()/2)))."', '".addslashes(serialize($submit_info))."')");
		}
		
	// News
	for ($i = 1; $i <= $num_submissions; $i++) {
	$submit_info['news_subject'] = $cclang['037'].$i;
	$submit_info['news_cat'] = rand(1,10);
	$submit_info['news_snippet'] = $snippet;
	$submit_info['news_body'] = $body;
	if ($i > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO ".DB_SUBMISSIONS." (submit_type, submit_user, submit_datestamp, submit_criteria) 
		VALUES ('n', '".rand(1, $tot_users)."', '".(time()-rand(0, (time()/2)))."', '".addslashes(serialize($submit_info))."')");
		}
		
	// Downloads
	for ($i = 1; $i <= $num_submissions; $i++) {
	$submit_info['download_title'] = $cclang['038'].$i;
	$submit_info['download_description'] = $big_desc;
	$submit_info['download_description_short'] = $small_desc;
	$submit_info['download_cat'] = rand(1,10);
	$submit_info['download_homepage'] = $urlprefix.strtolower(randomname().".com");
	$submit_info['download_license'] = "agpl";
	$submit_info['download_copyright'] = $cclang['039'];
	$submit_info['download_os'] = "n/a";
	$submit_info['download_version'] = rand(1,5).".".rand(1,50);
	$submit_info['download_filesize'] = rand(1,999)."Kb";
	$submit_info['download_url'] = $urlprefix.strtolower(randomname().".com/filename.zip");
	$submit_info['download_file'] = "";
	$submit_info['download_image'] = "";
	$submit_info['download_image_thumb'] = "";
	if ($i > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO ".DB_SUBMISSIONS." (submit_type, submit_user, submit_datestamp, submit_criteria) 
		VALUES ('d', '".rand(1, $tot_users)."', '".(time()-rand(0, (time()/2)))."', '".addslashes(serialize($submit_info))."')");
		}
	
	// Photo
    for ($i = 1; $i <= $num_submissions; $i++) {
	$submit_info['photo_title'] = $cclang['040'].$i;
	$submit_info['photo_description'] = $small_desc;
	$submit_info['album_id'] = rand(1,10);
	$submit_info['photo_file'] = "submit_img-".$i.".jpg";
	@copy(BASEDIR."content_creator/images/submit_img.jpg", PHOTOS."submissions/submit_img-".$i.".jpg");
	if ($i > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO ".DB_SUBMISSIONS." (submit_type, submit_user, submit_datestamp, submit_criteria) 
		VALUES ('p', '".rand(1, $tot_users)."', '".(time()-rand(0, (time()/2)))."', '".addslashes(serialize($submit_info))."')");
		}		
		$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=submissions");
 }
 
 // Generate Polls
    if (isset($_POST['generate_polls'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_POLLS);
	$result = dbquery("TRUNCATE TABLE ".DB_POLL_VOTES);
	$num_polls = $_POST['num_polls'];

// Polls

    $start_time = array(
	                1 => (time()-1814400), 
	                2 => (time()-3628800),  
	                3 => (time()-5257600), 
	                4 => (time()-7257600), 
	                5 => (time()-10886400)
	);
	
	$end_time = array(
	                1 => (time()-86400), 
	                2 => (time()-90000), 
	                3 => (time()-93600), 
	                4 => (time()-97200), 
	                5 => (time()-100800)
	);

	for ($a = 1; $a <= $num_polls; $a++) {
	$ii = rand(1, 5);
		if ($a > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO  ".DB_POLLS." (poll_title, poll_opt_0, poll_opt_1, poll_opt_2, poll_opt_3, poll_opt_4, poll_opt_5, poll_opt_6, poll_opt_7, poll_opt_8, poll_opt_9, poll_started, poll_ended) 
		VALUES ('".$cclang['104'].$a."', '".$cclang['105']."1', '".$cclang['105']."2', '".$cclang['105']."3', '".$cclang['105']."4', '".$cclang['105']."5', '', '', '', '', '', '".$start_time[$ii]."', '".$end_time[$ii]."')");
	}
	$result = dbquery($query);
	$update = dbquery("UPDATE ".DB_POLLS." SET poll_started='".(time()-8600)."', poll_ended='0' WHERE poll_id='".rand(1, $num_polls)."'");
	$update = dbquery("UPDATE ".DB_PANELS." SET panel_status='1' WHERE panel_name='Members Poll'");


// Insert Poll Votes
	for ($i = 1; $i <= ($num_polls*10); $i++) {
	if ($i > 1) { $query .= ", "; }
		$query = dbquery("INSERT INTO ".DB_POLL_VOTES." (vote_user, vote_opt, poll_id) VALUES ('".rand(1, $tot_users)."', '".rand(0, 5)."', '".rand(1, $num_polls)."')");
		}
		$result = dbquery($query);
	redirect(FUSION_SELF.$aidlink."&status=polls");
 }
 
// Delete Polls
    if (isset($_POST['delete_polls'])) {
	$result = dbquery("TRUNCATE TABLE ".DB_POLLS);
	$result = dbquery("TRUNCATE TABLE ".DB_POLL_VOTES);
	$update = dbquery("UPDATE ".DB_PANELS." SET panel_status='0' WHERE panel_name='Members Poll'");
	redirect(FUSION_SELF.$aidlink."&status=polls");
	}


// Unique Visits
 if (isset($_POST['alter_uvisits'])) {
 $num_uvisits = $_POST['num_uvisits'];
 $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".$num_uvisits."' WHERE settings_name='counter'");
	redirect(FUSION_SELF.$aidlink."&status=uvisits");
 }
 
// Sitename 
  if (isset($_POST['alter_sitename'])) {
 $sitename = $_POST['sitename'];
 $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".$sitename."' WHERE settings_name='sitename'");
	redirect(FUSION_SELF.$aidlink."&status=sitename");
 }
 
// Theme 
  if (isset($_POST['alter_theme'])) {
 $theme = $_POST['theme'];
 $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".$theme."' WHERE settings_name='theme'");
	redirect(FUSION_SELF.$aidlink."&status=theme");
 }
 
// Logo
  if (isset($_POST['alter_logo'])) {
 $logo = $_POST['logo'];
 $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='images/".$logo."' WHERE settings_name='sitebanner'");
	redirect(FUSION_SELF.$aidlink."&status=logo");
 }
 
// User Profiles 
  if (isset($_POST['hide_profiles'])) {
 $uprofiles = $_POST['user_profiles'];
 $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".$uprofiles."' WHERE settings_name='hide_userprofiles'");
	redirect(FUSION_SELF.$aidlink."&status=uprofiles");
 }
 
// Maintenance Mode 
  if (isset($_POST['set_maintenance'])) {
 $uprofiles = $_POST['set_maintenance'];
 $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['set_maintenance']) ? $_POST['set_maintenance'] : "0")."' WHERE settings_name='maintenance'");
 $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".(isnum($_POST['set_maintenance_level']) ? $_POST['set_maintenance_level'] : "102")."' WHERE settings_name='maintenance_level'");
 $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='".$cclang['501']."' WHERE settings_name='maintenance_message'");
	redirect(FUSION_SELF.$aidlink."&status=maintenance_mode");
 }

// Delete Content
	if (isset($_POST['delete_all'])) {
	for ($i = 2; $i <= $tot_users; $i++) { 
	    if (file_exists(IMAGES."avatars/avatar[".$i."].gif")) {
	    @unlink(IMAGES."avatars/avatar[".$i."].gif"); 
	        }
	     }
      $result = dbquery("DELETE FROM ".DB_USERS." WHERE user_id != '1'");
      $result = dbquery("TRUNCATE TABLE ".DB_USER_GROUPS);
      $result = dbquery("TRUNCATE TABLE ".DB_ARTICLES);
      $result = dbquery("TRUNCATE TABLE ".DB_ARTICLE_CATS);
      $result = dbquery("TRUNCATE TABLE ".DB_CUSTOM_PAGES);
      $result = dbquery("TRUNCATE TABLE ".DB_NEWS);
      $result = dbquery("TRUNCATE TABLE ".DB_FORUMS);
      $result = dbquery("TRUNCATE TABLE ".DB_THREADS);
      $result = dbquery("TRUNCATE TABLE ".DB_POSTS);
      $result= dbquery("SELECT download_file FROM ".DB_DOWNLOADS." ORDER BY download_id ASC");                        
        if (dbrows($result)) {
        while ($data = dbarray($result)) {
	@unlink(BASEDIR."downloads/".$data['download_file']);
	  }
	 }
	 if (file_exists(PHOTOS."test_album_thumb.jpg")) {
	 @unlink(PHOTOS."test_album_thumb.jpg"); }
	 $resultb= dbquery("SELECT album_id, photo_filename FROM ".DB_PHOTOS." ORDER BY photo_id ASC");                        
        if (dbrows($resultb)) {
        while ($datab = dbarray($resultb)) {
        if (file_exists(PHOTOS."album_".$datab['album_id']."/".$datab['photo_filename'])) {
	@unlink(PHOTOS."album_".$datab['album_id']."/".$datab['photo_filename']);
	   }
	  }
	 }
	 
     $resultc= dbquery("SELECT album_id, photo_thumb1 FROM ".DB_PHOTOS." ORDER BY photo_id ASC");                        
        if (dbrows($resultc)) {
        while ($datac = dbarray($resultc)) {
        if (file_exists(PHOTOS."album_".$datac['album_id']."/".$datac['photo_thumb1'])) {
	@unlink(PHOTOS."album_".$datac['album_id']."/".$datac['photo_thumb1']); }
	    if (file_exists(PHOTOS."album_".$datac['album_id']."/index.php")) {
	@unlink(PHOTOS."album_".$datac['album_id']."/index.php");
	   }
	  }
	 }
	 
	 $deldir = array("album_1", "album_2", "album_3", "album_4", "album_5", "album_6", "album_7", "album_8", "album_9", "album_10");
	 foreach ($deldir as $value) { rmdir(PHOTOS.$value); }
	$photo_files = dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type = 'p'");
    for ($i = 1; $i <= $photo_files; $i++) {   
    if (file_exists(PHOTOS."submissions/submit_img-".$i.".jpg")) {                  
	@unlink(PHOTOS."submissions/submit_img-".$i.".jpg");
	 }
   }
	  $result = dbquery("TRUNCATE TABLE ".DB_PHOTOS);
      $result = dbquery("TRUNCATE TABLE ".DB_PHOTO_ALBUMS);
      $result = dbquery("TRUNCATE TABLE ".DB_DOWNLOADS);
      $result = dbquery("TRUNCATE TABLE ".DB_DOWNLOAD_CATS);
      $result = dbquery("TRUNCATE TABLE ".DB_COMMENTS);
      $result = dbquery("TRUNCATE TABLE ".DB_RATINGS);
      $result = dbquery("TRUNCATE TABLE ".DB_FAQS);
      $result = dbquery("TRUNCATE TABLE ".DB_MESSAGES);
      $result = dbquery("TRUNCATE TABLE ".DB_FAQ_CATS);
      $result = dbquery("TRUNCATE TABLE ".DB_WEBLINKS);
      $result = dbquery("TRUNCATE TABLE ".DB_WEBLINK_CATS);
      $result = dbquery("TRUNCATE TABLE ".DB_SHOUTBOX);
      $result = dbquery("TRUNCATE TABLE ".DB_SUBMISSIONS);
      $result = dbquery("TRUNCATE TABLE ".DB_POLLS);
      $result = dbquery("TRUNCATE TABLE ".DB_POLL_VOTES);
      $result = dbquery("ALTER TABLE ".DB_USERS." AUTO_INCREMENT=2");
      $result = dbquery("DELETE FROM ".DB_SITE_LINKS." WHERE link_name='Custom Page'");
      $result = dbquery("DELETE FROM ".DB_SITE_LINKS." WHERE link_name='".$cclang['000']."'");
      $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='0' WHERE settings_name='counter'");
      $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='PHP-Fusion Powered Website' WHERE settings_name='sitename'");
      $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='Gillette' WHERE settings_name='theme'");
      $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='0' WHERE settings_name='hide_userprofiles'");
      $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='/images/php-fusion-logo.png' WHERE settings_name='sitebanner'");
      $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='15' WHERE settings_name='flood_interval'");
      $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='0' WHERE settings_name='maintenance'");
      $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='1' WHERE settings_name='maintenance_level'");
      $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='' WHERE settings_name='maintenance_message'");
      $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='' WHERE settings_name='exclude_left'");
	  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='' WHERE settings_name='exclude_upper'");
	  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='' WHERE settings_name='exclude_lower'");
	  $result = dbquery("UPDATE ".DB_SETTINGS." SET settings_value='' WHERE settings_name='exclude_right'");
	  $result = dbquery("UPDATE ".DB_PANELS." SET panel_status='0' WHERE panel_name='Members Poll'");
	  $result = dbquery("UPDATE ".DB_USERS." SET user_location = '', user_birthdate = '', user_skype='', user_aim = '', user_icq = '', user_msn = '', user_yahoo = '' WHERE user_id = '1'");

	redirect(FUSION_SELF.$aidlink."&status=del");
	}	

opentable($cclang['000']." ".$version." <span style='float:right;'>".$cclang['107'].$cont_calc."</span>");

if ($settings['flood_interval'] == '15') { $value = "10000"; } else { $value = "15"; }

$tot_err = dbcount("(error_id)", DB_ERRORS);
if ($tot_err) { $err_img = "<img src='".IMAGES."no.png' alt='' />\n"; } else { $err_img = "<img src='".IMAGES."yes.png' alt='' />\n"; }
echo "<table cellpadding='0' cellspacing='0' width='100%' class='center'>\n<thead><tr>\n";
echo "<th></th>\n";
echo "<th align='center'>SA's: ".$tot_superadmins." | Admins: ".$tot_admins." | ".$cclang['042'].": ".$tot_members." | ".$cclang['121'].": ".$tot_banned." = ".$tot_users."</th>\n";
echo "<th></th>\n";
echo "</thead></tr><tbody><tr>\n";
echo "<td rowspan='3' width='360' class='tbl2'><img src='".IMAGES."arrow.png' alt='' /> <span style='float:right;'>".$cclang['123']."</span>\n";
echo "<textarea row='10' cols='35' name='info' class='admin-message' style='width:360px' READONLY>".$message."</textarea></td>\n";
echo "<td class='tbl1' align='center'><strong>".$cclang['502']."</strong><td>\n";
echo "<td rowspan='3' width='360' class='tbl2'>".$err_img."<a href='".ADMIN."errors.php".$aidlink."'>".$cclang['124']."</a>\n";
echo "<textarea row='10' cols='35' name='info' class='admin-message' style='width:360px' READONLY>\n";

$result = dbquery("	SELECT error_message 
					FROM ".DB_ERRORS."
					WHERE error_status ='0'
					ORDER BY error_timestamp DESC 
					LIMIT 0,10
					");
if (dbrows($result)) {
	$n = 1;
	while($data = dbarray($result)) {
echo $n.": ".$data['error_message']."\n";
$n++;
   }
} else {
echo $cclang['125'];
}
echo "</textarea></td>\n";
echo "</tr><tr>\n";
echo "<td class='tbl1' align='center'><form name='clear_errors_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='clear_errors' value='".($tot_err != '0' ? $cclang['126'] : $cclang['125'])."' class='button' /></label>\n";
echo "</form><td>\n";
echo "</tr><tr>\n";
echo "<td class='tbl1' align='center'><form name='disable_flood_form' method='post' action='".FUSION_SELF."'>\n";
echo "<input type='hidden' name='flood_value' value='".$value."' />\n";
echo "<label><input type='submit' name='disable_flood' value='".($settings['flood_interval'] == 15 ? $cclang['083'] : $cclang['084'])."' class='button' /></label>\n";
echo "</form><td>\n";
echo "</tbody><tr></table>\n";


echo "<table cellpadding='0' cellspacing='0' width='100%' class='center'>\n<thead>\n<tr>\n";
echo "<th>".$cclang['101']."</th>\n";
echo "<th colspan='3'>".$cclang['041']."</th>\n";
echo "<th>".$cclang['060']."</th>\n";
echo "</tr>\n</thead>\n<tbody>\n<tr>\n";
  
// Users 
echo "<td class='tbl2' align='right' style='white-space:nowrap'>".$cclang['042'].": ".$tot_members." (+".$tot_banned.$cclang['121'].")</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_users_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_users' class='textbox' style='width: 75px'>\n";
echo "    <option value='50'>50</option>\n";
echo "   <option value='100'>100</option>\n";
echo "   <option value='200'>200</option>\n";
echo "   <option value='500'>500</option>\n";
echo "  <option value='1000'>1000</option>\n";
echo "  <option value='2000'>2000</option>\n";
echo "  <option value='5000'>5000</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_users' value='".$cclang['042']."' class='button' /></label>\n";
echo "</form>\n</td>\n";

if ($tot_users <'100') { $bdisable = "onchange='submit();' disabled"; } else { $bdisable = ""; }

if ($tot_banned == '0') {
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='ban_users_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='ban_users' value='".($tot_users <'2' ? $cclang['102'] : $cclang['120'])."' class='button' $bdisable /></label>\n";
echo "</form>\n</td>\n";
 } else {
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='ban_users_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='unban_users' value='".$cclang['122']."' class='button' /></label>\n";
echo "</form>\n</td>\n";
  }

echo "<td class='tbl2' style='white-space:nowrap'>\n";
if ($cont_calc) { $cdisable = "onchange='submit();' disabled"; } else { $cdisable = ""; }
echo "<form name='delete_users_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_users' value='".($cont_calc >'20' ? $cclang['102'] : $cclang['060'])."' class='button' $cdisable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

//User Fields

echo "<td colspan='5'>\n";
if ($tot_users <'2') { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>\n<tbody>\n<tr>\n";

echo "<td class='tbl1' align='center' style='white-space:nowrap'>".$cclang['119'].":</td>\n";

echo "<td class='tbl1' align='center' style='white-space:nowrap'>\n";
echo "<form name='generate_locationss' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='generate_locations' value='".$cclang['108'].$cclang['118']."' class='button' $disable /></label>\n</form>\n</td>\n";

echo "<td class='tbl1' align='center' style='white-space:nowrap'>\n";
echo "<form name='generate_birthdays' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='generate_birthdays' value='".$cclang['108'].$cclang['109']."' class='button' $disable /></label>\n</form>\n</td>\n";

echo "<td class='tbl' align='center' style='white-space:nowrap'>\n";
echo "<form name='generate_skype' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='generate_skype' value='".$cclang['108'].$cclang['110']."' class='button' $disable /></label>\n</form>\n</td>\n";

echo "<td class='tbl1' align='center' style='white-space:nowrap'>\n";
echo "<form name='generate_aim' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='generate_aim' value='".$cclang['108'].$cclang['111']."' class='button' $disable /></label>\n</form>\n</td>\n";

echo "<td class='tbl1' align='center' style='white-space:nowrap'>\n";
echo "<form name='generate_icq' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='generate_icq' value='".$cclang['108'].$cclang['112']."' class='button' $disable /></label>\n</form>\n</td>\n";

echo "<td class='tbl1' align='center' style='white-space:nowrap'>\n";
echo "<form name='generate_msn' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='generate_msn' value='".$cclang['108'].$cclang['113']."' class='button' $disable /></label>\n</form>\n</td>\n";

echo "<td class='tbl1' align='center' style='white-space:nowrap'>\n";
echo "<form name='generate_yahoo' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='generate_yahoo' value='".$cclang['108'].$cclang['114']."' class='button' $disable /></label>\n</form></td>\n";

echo "<td class='tbl1' align='center' style='white-space:nowrap'>\n";
echo "<form name='delete_uf' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_uf' value='".$cclang['116']."' class='button' $disable /></label>\n</form></td>\n";
echo "</tbody></tr></table>\n</td>\n";

echo "</tr>\n<tr>\n";

// SuperAdmins
if ($tot_users <'2') { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<td class='tbl2' align='right' style='white-space:nowrap'>".$cclang['088'].": ".$tot_superadmins."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_superadmins_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_superadmins' class='textbox' style='width: 75px'>\n";
echo "     <option value='5'>5</option>\n";
echo "    <option value='10'>10</option>\n";
echo "    <option value='20'>20</option>\n";
if ($tot_users >= 50) {
echo "    <option value='50'>50</option>\n"; }
if ($tot_users >= 100) {
echo "   <option value='100'>100</option>\n"; }
echo "</select>\n</td>\n";
echo "<td class='tbl2' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_superadmins' value='".$cclang['088']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<form name='delete_superadmins_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_superadmins' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Admins
if ($tot_users <'2') { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<td class='tbl1' align='right' style='white-space:nowrap'>".$cclang['043'].": ".$tot_admins."</td>\n";
echo "<td class='tbl1' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_admins_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_admins' class='textbox' style='width: 75px'>\n";
echo "    <option value='10'>10</option>\n";
echo "    <option value='20'>20</option>\n";
if ($tot_users >= 50) {
echo "    <option value='50'>50</option>\n"; }
if ($tot_users >= 100) {
echo "   <option value='100'>100</option>\n"; }
echo "</select>\n</td>\n";
echo "<td class='tbl1' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_admins' value='".$cclang['043']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<form name='delete_admins_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_admins' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

//Private Messages
echo "<td class='tbl2' align='right' style='white-space:nowrap'>".$cclang['080'].": ".$tot_pms."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_pms_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_pms' class='textbox' style='width: 75px'>\n";
echo "    <option value='10'>10</option>\n";
echo "    <option value='20'>20</option>\n";
echo "    <option value='50'>50</option>\n";
echo "   <option value='100'>100</option>\n";
echo "   <option value='200'>200</option>\n";
echo "   <option value='500'>500</option>\n";
echo "  <option value='1000'>1000</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl2' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_pms' value='".$cclang['080']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<form name='delete_pms_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_pms' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

//User Groups
echo "<td class='tbl1' align='right' style='white-space:nowrap'>".$cclang['044'].": ".$tot_user_groups."</td>\n";
echo "<td class='tbl1' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_users_groups_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_user_groups' class='textbox' style='width: 75px'>\n";
echo " <option value='10'>10</option>\n";
echo " <option value='15'>15</option>\n";
echo " <option value='20'>20</option>\n";
echo " <option value='25'>25</option>\n";
echo " <option value='50'>50</option>\n";
echo "<option value='100'>100</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl1' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_user_groups' value='".$cclang['044']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<form name='delete_user_groups_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_user_groups' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// News
echo "<td class='tbl2' align='right' yle='white-space:nowrap'>".$cclang['045'].": ".$tot_news."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_news_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_news' class='textbox' style='width: 75px'>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "  <option value='200'>200</option>\n";
echo "  <option value='500'>500</option>\n";
echo " <option value='1000'>1000</option>\n";
echo " <option value='2000'>2000</option>\n";
echo " <option value='5000'>5000</option>\n";
echo "<option value='10000'>10000</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl2' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_news' value='".$cclang['045']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<form name='delete_news_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_news' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Articles
echo "<td class='tbl1' align='right' style='white-space:nowrap'>".$cclang['046'].": ".$tot_articles."</td>\n";
echo "<td class='tbl1' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_articles_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_articles' class='textbox' style='width: 75px'>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "  <option value='500'>500</option>\n";
echo " <option value='1000'>1000</option>\n";
echo " <option value='2000'>2000</option>\n";
echo " <option value='5000'>5000</option>\n";
echo "<option value='10000'>10000</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl1' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_articles' value='".$cclang['046']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<form name='delete_articles_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_articles' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Custom Pages
echo "<td class='tbl2' align='right' style='white-space:nowrap'>".$cclang['047'].": ".$tot_cpages."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_custom_pages' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_cpages' class='textbox' style='width: 75px'>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "  <option value='500'>500</option>\n";
echo " <option value='1000'>1000</option>\n";
echo " <option value='2000'>2000</option>\n";
echo " <option value='5000'>5000</option>\n";
echo "<option value='10000'>10000</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl2' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_custom_pages' value='".$cclang['047']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<form name='delete_cps_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_cps' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Downloads
echo "<td class='tbl1' align='right' tyle='white-space:nowrap'>".$cclang['048'].": ".$tot_downloads."</td>\n";
echo "<td class='tbl1' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_downloads_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_downloads' class='textbox' style='width: 75px'>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "  <option value='500'>500</option>\n";
echo " <option value='1000'>1000</option>\n";
echo " <option value='2000'>2000</option>\n";
echo " <option value='5000'>5000</option>\n";
echo "<option value='10000'>10000</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl1' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_downloads' value='".$cclang['048']."' class='button' $disable /></label>\n";
echo "<label><input type='checkbox' name='create_files' value='1' class='textbox' $disable /> <small>".$cclang['051']."</small></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<form name='delete_downloads_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_downloads' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Photo Galleries
echo "<td class='tbl2' align='right' tyle='white-space:nowrap'>".$cclang['050'].": ".$tot_photos."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_photos_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_photos' class='textbox' style='width: 75px'>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "  <option value='200'>200</option>\n";
echo "  <option value='500'>500</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl2' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_photos' value='".$cclang['050']."' class='button' $disable /></label>\n";
if (file_exists(BASEDIR."content_creator/index.php")) {
echo "<label><input type='checkbox' name='move_photos' value='1' class='textbox' $disable /> <small>".$cclang['049']."</small></label>\n";
 } else {
echo "<font color='red'>Images not loaded!</font>"; }
echo "</form>\n</td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<form name='delete_photos_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_photos' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Comments
if ($tot_news + $tot_articles + $tot_cpages + $tot_downloads + $tot_photos =='0') { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<td class='tbl1' align='right' style='white-space:nowrap'>".$cclang['052'].": ".$tot_comments."</td>\n";
echo "<td class='tbl1' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_comments_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_comments' class='textbox' style='width: 75px'>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "  <option value='500'>500</option>\n";
echo " <option value='1000'>1000</option>\n";
echo " <option value='2000'>2000</option>\n";
echo " <option value='5000'>5000</option>\n";
echo "<option value='10000'>10000</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl1' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_comments' value='".$cclang['052']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<form name='delete_comments_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_comments' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Ratings
if ($tot_news + $tot_articles + $tot_cpages + $tot_downloads + $tot_photos=='0') { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<td class='tbl2' align='right' style='white-space:nowrap'>".$cclang['053'].": ".$tot_ratings."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_ratings_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_ratings' class='textbox' style='width: 75px'>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "  <option value='500'>500</option>\n";
echo " <option value='1000'>1000</option>\n";
echo " <option value='2000'>2000</option>\n";
echo " <option value='5000'>5000</option>\n";
echo "<option value='10000'>10000</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl2' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_ratings' value='".$cclang['053']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<form name='delete_ratings_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_ratings' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Forum Threads
if ($tot_members =='0') { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<td class='tbl1' align='right' tyle='white-space:nowrap'>".$cclang['054'].": ".$tot_threads.$cclang['098'].($tot_forums/2)." ".$cclang['099']."</td>\n";
echo "<td class='tbl1' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_threads_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_threads' class='textbox' style='width: 75px'>\n";
echo "   <option value='0'>".$cclang['097']."</option>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "  <option value='500'>500</option>\n";
echo " <option value='1000'>1000</option>\n";
echo " <option value='2000'>2000</option>\n";
echo " <option value='5000'>5000</option>\n";
echo "<option value='10000'>10000</option>\n";
echo "</select>\n";
echo $cclang['098'];
echo "<select name='num_forums' class='textbox' style='width: 75px'>\n";
echo "   <option value='0'>".$cclang['099']."</option>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='15'>15</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='25'>25</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl1' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_threads' value='".$cclang['054']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<form name='delete_forums_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_forums' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// FAQs
if ($tot_members =='0') { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<td class='tbl2' align='right' tyle='white-space:nowrap'>".$cclang['055'].": ".$tot_faqs."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_faqs_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_faqs' class='textbox' style='width: 75px'>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "  <option value='500'>500</option>\n";
echo " <option value='1000'>1000</option>\n";
echo " <option value='2000'>2000</option>\n";
echo " <option value='5000'>5000</option>\n";
echo "<option value='10000'>10000</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl2' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_faqs' value='".$cclang['055']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<form name='delete_faqs_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_faqs' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Weblinks
if ($tot_members =='0') { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<td class='tbl1' align='right' tyle='white-space:nowrap'>".$cclang['056'].": ".$tot_weblinks."</td>\n";
echo "<td class='tbl1' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_weblinks_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_weblinks' class='textbox' style='width: 75px'>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "  <option value='500'>500</option>\n";
echo " <option value='1000'>1000</option>\n";
echo " <option value='2000'>2000</option>\n";
echo " <option value='5000'>5000</option>\n";
echo "<option value='10000'>10000</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl1' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_weblinks' value='".$cclang['056']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<form name='delete_weblinks_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_weblinks' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Shoutbox
$disable = "";
if ((!isset($check4shoutbox['inf_id'])) || ($tot_users <'2')) { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<td class='tbl2' align='right' tyle='white-space:nowrap'>".$cclang['057'].": ".$tot_shouts."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_shouts_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_shouts' class='textbox' style='width: 75px'>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "  <option value='500'>500</option>\n";
echo " <option value='1000'>1000</option>\n";
echo " <option value='2000'>2000</option>\n";
echo " <option value='5000'>5000</option>\n";
echo "<option value='10000'>10000</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl2' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_shouts' value='".$cclang['057']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<form name='delete_shouts_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_shouts' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Submissions
if ($tot_members =='0') { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<td class='tbl1' align='right' tyle='white-space:nowrap'>".$cclang['058'].": ".$tot_submissions."</td>\n";
echo "<td class='tbl1' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_submissions_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_submissions' class='textbox' style='width: 75px'>\n";
echo "   <option value='5'>5</option>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='15'>15</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='10'>25</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl1' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_submissions' value='".$cclang['058']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<form name='delete_submissionss_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_submissions' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Polls
if ($tot_members =='0') { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<td class='tbl2' align='right' tyle='white-space:nowrap'>".$cclang['103'].": ".$tot_polls."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_polls_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='num_polls' class='textbox' style='width: 75px'>\n";
echo "   <option value='5'>5</option>\n";
echo "   <option value='10'>10</option>\n";
echo "   <option value='15'>15</option>\n";
echo "   <option value='20'>20</option>\n";
echo "   <option value='10'>25</option>\n";
echo "   <option value='50'>50</option>\n";
echo "  <option value='100'>100</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl2' colspan='2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='generate_polls' value='".$cclang['103']."' class='button' $disable /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<form name='delete_polls_form' method='post' action='".FUSION_SELF."'>\n";
echo "<label><input type='submit' name='delete_polls' value='".($tot_users <'2' ? $cclang['102'] : $cclang['060'])."' class='button' $disable /></label>\n";
echo "</form></td>\n";

echo "</tr>\n<tr>\n";

// Unique Visits
echo "<td class='tbl1' align='right' style='white-space:nowrap'>".$cclang['064']."</td>\n";
echo "<td class='tbl1' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_uvisits_form' method='post' action='".FUSION_SELF."'>\n";
echo "<input type='text' name='num_uvisits' value='".$settings['counter']."' maxlength='200' class='textbox' style='width:80px;'></td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='alter_uvisits' value='".$cclang['065']."' class='button' /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl1' align='right' tyle='white-space:nowrap'>".$cclang['065'].": ".number_format($settings['counter'])."</td>\n";
echo "<td class='tbl1'></td>\n";

echo "</tr>\n<tr>\n";

// Site Name
echo "<td class='tbl2' align='right' style='white-space:nowrap'>".$cclang['100']."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_sitename_form' method='post' action='".FUSION_SELF."'>\n";
echo "<input type='text' name='sitename' value='".$settings['sitename']."' maxlength='200' class='textbox' style='width:200px;'></td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='alter_sitename' value='".$cclang['066']."' class='button' /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl2' align='right' tyle='white-space:nowrap'>".$settings['sitename']."</td>\n";
echo "<td class='tbl2'></td>\n";

echo "</tr>\n<tr>\n";

// Change Theme
$theme_files = makefilelist(THEMES, ".|..|templates|.svn", true, "folders");
$current_theme = $settings['theme'];
echo "<td class='tbl1' align='right' style='white-space:nowrap'>".$cclang['070']."</td>\n";
echo "<td class='tbl1' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_theme_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='theme' class='textbox' style='width:100px;'>\n".makefileopts($theme_files, $current_theme)."</select></td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='alter_theme' value='".$cclang['069']."' class='button' /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl1' align='right' tyle='white-space:nowrap'>".$settings['theme']."</td>\n";
echo "<td class='tbl1'></td>\n";

echo "</tr>\n<tr>\n";

// Site Logo
$image_files = makefilelist(IMAGES, ".|..", true, "files", "db|php|js|ico|DS_Store|SVN");
$current_logo = $settings['sitebanner'];
echo "<td class='tbl2' align='right' style='white-space:nowrap'>".$cclang['077']."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_logo_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='logo' class='textbox' style='width:100px;'>\n".makefileopts($image_files, $current_logo)."</select></td>\n";
echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='alter_logo' value='".$cclang['077']."' class='button' /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl2' align='right' tyle='white-space:nowrap'><img src='".BASEDIR.$current_logo."' alt='' width='80' /></td>\n";
echo "<td class='tbl2'></td>\n";

echo "</tr>\n<tr>\n";

// Profiles visibility
echo "<td class='tbl1' align='right' style='white-space:nowrap'>".$cclang['073']."</td>\n";
echo "<td class='tbl1' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_profiles_form' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='user_profiles' class='textbox' style='width: 75px'>\n";
echo "<option value='0'".($settings['hide_userprofiles'] == '0' ? " selected" : "").">".$cclang['075']."</option>\n";
echo "<option value='1'".($settings['hide_userprofiles'] == '1' ? " selected" : "").">".$cclang['074']."</option>\n";
echo "</select>\n</td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='hide_profiles' value='".$cclang['076']."' class='button' /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl1' align='right' tyle='white-space:nowrap'>".($settings['hide_userprofiles'] == 0 ? $cclang['075'] : $cclang['074'])."</td>\n";
echo "<td class='tbl1'></td>\n";

echo "</tr>\n<tr>\n";

// Maintenance Mode
echo "<td class='tbl2' align='right' style='white-space:nowrap'>".$cclang['091']."</td>\n";
echo "<td class='tbl2' align='right' style='white-space:nowrap'>\n";
echo "<form name='generate_maintenance' method='post' action='".FUSION_SELF."'>\n";
echo "<select name='set_maintenance' class='textbox' style='width: 60px'>\n";
echo "<option value='1'".($settings['maintenance'] == "1" ? " selected='selected'" : "").">".$cclang['092']."</option>\n";
echo "<option value='0'".($settings['maintenance'] == "0" ? " selected='selected'" : "").">".$cclang['093']."</option>\n";
echo "</select>\n";

echo "<select name='set_maintenance_level' class='textbox' style='width: 100px'>\n";
echo "<option value='102'".($settings['maintenance_level'] == "102" ? " selected='selected'" : "").">".$cclang['095']."</option>\n";
echo "<option value='103'".($settings['maintenance_level'] == "103" ? " selected='selected'" : "").">".$cclang['094']."</option>\n";
echo "<option value='1'".($settings['maintenance_level'] == "1" ? " selected='selected'" : "").">".$cclang['096']."</option>\n";
echo "</select></td>\n";

echo "<td class='tbl2' style='white-space:nowrap'>\n";
echo "<label><input type='submit' name='set_level' value='".$cclang['091']."' class='button' /></label>\n";
echo "</form>\n</td>\n";
echo "<td class='tbl2' align='right' tyle='white-space:nowrap'>".($settings['maintenance'] == 0 ? $cclang['090'].$cclang['093'] : $cclang['090'].$cclang['092'])."</td>\n";
echo "<td class='tbl2'></td>\n";

echo "</tr>\n<tr>\n";

// Delete All
$disable = "";
if ($userdata['user_id'] !='1') { $disable = "onchange='submit();' disabled"; } else { $disable = ""; }
echo "<form name='delete_all_form' method='post' action='".FUSION_SELF."'>\n";
echo "<td class='tbl1' colspan='2' align='right' style='white-space:nowrap'>".$cclang['059'];
echo "<label><input type='checkbox' name='delete_all' value='1' $disable /></label></td>\n";
echo "<td class='tbl1' style='white-space:nowrap'>\n";
echo "<input type='submit' name='delete_all_form' value='".$cclang['060']."'  onclick='return DeleteAll();' $disable />\n";
echo "</td>\n<td colspan='2' class='tbl1'></td></form>\n";

echo "</tr>\n<tr>\n";

echo "<td class='tbl2' colspan='5' align='right' style='white-space:nowrap'><a href='".FUSION_SELF."'><button class='button'>".$cclang['061']."</button></a></td>\n";

echo "</tr>\n</tbody>\n</table>\n";
echo "<center>".$cclang['000']." ".$version." by <a target='_blank' href='http://www.hobbysites.net'>Philip Daly</a> <small>(HobbyMan)</small> ".date("Y")."</center>\n";

  closetable();
  
  echo "<div class='mvp_head' style='cursor: pointer;' title='Read First'><center><button class='button'>".$cclang['062']."</button></center></div>\n";
  echo "<div class='mvp_body' style='margin-bottom:3px'>\n";
  echo "<span style='float:right;'><a target='_blank' href='http://www.hobbysites.net'><img src='".BASEDIR."content_creator/images/logo_150.png' width='150' alt='' /></a></span>\n";
  echo "<div class='tbl2'>".$cclang['500'];
  echo "</div>\n</div>\n";
  
  		echo "<script type='text/javascript'>\n";
		echo "/* <![CDATA[ */\n";
		echo "function DeleteAll() {\n";
		echo "return confirm('".$cclang['063']."');\n}\n";
		echo "/* ]]>*/\n";
		echo "</script>\n";
 }

require_once THEMES."templates/footer.php";
?>